import { DistPathConfig, NormalizedSharedOutputConfig, SharedHtmlConfig, FilenameConfig } from './types';
export declare function getAbsoluteDistPath(cwd: string, outputConfig: NormalizedSharedOutputConfig): string;
export declare const getDistPath: (outputConfig: NormalizedSharedOutputConfig, type: keyof DistPathConfig) => string;
export declare function isFileExists(file: string): Promise<boolean>;
export declare function getPackageNameFromModulePath(modulePath: string): string | false;
export declare function getHTMLPathByEntry(entryName: string, config: {
    output: NormalizedSharedOutputConfig;
    html: SharedHtmlConfig;
}): string;
export declare const getFilename: (output: NormalizedSharedOutputConfig, type: keyof FilenameConfig, isProd: boolean) => string;
